## org.apache.lucene.analysis.cjk
Class CJKTokenizerFactory

    java.lang.Object
      org.apache.lucene.analysis.util.AbstractAnalysisFactory
          org.apache.lucene.analysis.util.TokenizerFactory
              org.apache.lucene.analysis.cjk.CJKTokenizerFactory

Deprecated. Use `CJKBigramFilterFactory` instead.

    @Deprecated
    public class CJKTokenizerFactory

extends TokenizerFactory

Factory for `CJKTokenizer`.

     <fieldType name="text_cjk" class="solr.TextField" positionIncrementGap="100">
       <analyzer>
         <tokenizer class="solr.CJKTokenizerFactory"/>
       </analyzer>
     </fieldType>

Field Summary

Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

Constructor Summary
`CJKTokenizerFactory(Map<String,String> args)` Deprecated. Creates a new CJKTokenizerFactory

Method Summary
`CJKTokenizer` `create(AttributeSource.AttributeFactory factory, Reader in)` Deprecated. Creates a TokenStream of the specified input using the given AttributeFactory

Methods inherited from class org.apache.lucene.analysis.util.TokenizerFactory
`availableTokenizers, create, forName, lookupClass, reloadTokenizers`

Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`assureMatchVersion, get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitFileNames`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CJKTokenizerFactory

    public CJKTokenizerFactory(Map<String,String> args)

  Deprecated.
  Creates a new CJKTokenizerFactory

Method Detail

### create

    public CJKTokenizer create(AttributeSource.AttributeFactory factory,
                               Reader in)

  Deprecated.
  Description copied from class: `TokenizerFactory`
  Creates a TokenStream of the specified input using the given AttributeFactory

  Specified by:
    `create` in class `TokenizerFactory`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.